org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.tabular

## Enum IndexHostManipulations.FeatureKind

- java.lang.Object
- - java.lang.Enum<IndexHostManipulations.FeatureKind>
  - - org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.tabular.IndexHostManipulations.FeatureKind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IndexHostManipulations.FeatureKind>
  Enclosing class:
    IndexHostManipulations<ModelObject>

      protected static enum IndexHostManipulations.FeatureKind
      extends java.lang.Enum<IndexHostManipulations.FeatureKind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE`
    `CONTAINMENT_REF`
    `CROSS_REF`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexHostManipulations.FeatureKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IndexHostManipulations.FeatureKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CROSS_REF

          public static final IndexHostManipulations.FeatureKind CROSS_REF

    - #### CONTAINMENT_REF

          public static final IndexHostManipulations.FeatureKind CONTAINMENT_REF

    - #### ATTRIBUTE

          public static final IndexHostManipulations.FeatureKind ATTRIBUTE

  - ### Method Detail

    - #### values

          public static IndexHostManipulations.FeatureKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexHostManipulations.FeatureKind c : IndexHostManipulations.FeatureKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexHostManipulations.FeatureKind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null